# Uses of Interface
org.apache.sling.validation.spi.ValidatorContext

Packages that use ValidatorContext
Package
Description
org.apache.sling.validation.spi
org.apache.sling.validation.spi.support

## Uses of ValidatorContext in org.apache.sling.validation.spi

Methods in org.apache.sling.validation.spi with parameters of type ValidatorContext
Modifier and Type
Method
Description
`@NotNull ValidationResult`
Validator.`validate(T data, @NotNull ValidatorContext context, @NotNull org.apache.sling.api.resource.ValueMap arguments)`
Validates the `data` and/or the `valueMap` according to the internal constraints of this validator.

## Uses of ValidatorContext in org.apache.sling.validation.spi.support

Constructors in org.apache.sling.validation.spi.support with parameters of type ValidatorContext
Modifier
Constructor
Description
``
`DefaultValidationFailure(@NotNull ValidatorContext validationContext, @NotNull String messageKey, Object... messageArguments)`
Constructor of a validation failure.
``
`DefaultValidationResult(@NotNull ValidatorContext validationContext, @NotNull String messageKey, Object... messageArguments)`
Constructs a result with one failure message.